#配置参数
config="""----------MangoTreeCopyright----------

<BoardInfo>
DeviceName=D814;
IP=192.168.5.77;
DevID=*;
PXISlot=*;
</BoardInfo>

<DAQMode>  
Mode=0;
Path=;
</DAQMode>

<AI-ChannelConfig>
AI-Channel=0;
AI-SampleRate=50000;
</AI-ChannelConfig>

<AO-ChannelConfig>
AO-Channel=0;
AO-SampleRate=50000;
</AO-ChannelConfig>
"""
#生成一个频率10Hz，幅值1V的正弦波作为仿真波形用于输出
import math
freq = 10
amplitude = 1
samplerate = 50000
wave = [amplitude * math.sin(2 * i * math.pi * freq / samplerate) for i in range(samplerate)]

#导入Device
from mtdaq import Device
dev = Device(config)
dev.start()

#AO在一个单独线程执行，输出波形10秒
def AO():
    for i in range(10):
        #dev.ao(list(map(lambda x:x*(i+1), wave)))
        dev.ao(wave)
import threading
AO_thread = threading.Thread(target=AO)
AO_thread.start()      

#这些代码用于绘图
import matplotlib.pylab as pl
%matplotlib inline
from IPython.display import clear_output as cls
#AI在主线程执行
for i in range(10):
    aidata = dev.ai(samplerate)
    #这些代码用于绘图
    pl.gca().clear()
    pl.plot(aidata)
    pl.show()
    cls(wait=True)

#确认AO线程结束后，关闭设备
AO_thread.join()
dev.close()